.TH RAPMAP_QUASIMAP "1" "September 2016" "rapmap_quasimap 0.3.0" "User Commands"
.SH NAME
rapmap_quasimap \- rapmap module to map reads using the SA-based index
.SH SYNOPSIS
.B rapmap quasimap
[\-c] [\-f] [\-s] [\-m <positive integer>] [\-t <positive
integer>] [\-o <path>] [\-r <path>] [\-2 <path>] [\-1
<path>] [\-n] \fB\-i\fR <path> [\-\-] [\-\-version] [\-h]
.SH DESCRIPTION
RapMap Mapper (SA\-based)
.P
RapMap is a testing ground for ideas in quasi-mapping / (lightweight /
pseudo) transcriptome alignment. That means that, at this point, it is
somewhat experimental. The develop branch will have the latest
improvements and additions, but is not guaranteed to be stable between
commits. Breaking changes to the master branch will be accompanied by a
tag to the version before the breaking change. Currently, RapMap is a
stand-alone quasi-mapper that can be used with other tools. It is also
being used as part of Sailfish and Salmon. Eventually, the hope is to
create and stabilize an API so that it can be used as a library from
other tools.
.SH OPTIONS
.TP
\fB\-c\fR, \fB\-\-consistentHits\fR
Ensure that the hits collected are consistent (co\-linear)
.TP
\fB\-f\fR, \fB\-\-fuzzyIntersection\fR
Find paired\-end mapping locations using fuzzy intersection
.TP
\fB\-s\fR, \fB\-\-strictCheck\fR
Perform extra checks to try and assure that only equally "best"
mappings for a read are reported
.TP
\fB\-m\fR, \fB\-\-maxNumHits\fR <positive integer>
Reads mapping to more than this many loci are discarded
.TP
\fB\-t\fR, \fB\-\-numThreads\fR <positive integer>
Number of threads to use
.TP
\fB\-o\fR, \fB\-\-output\fR <path>
The output file (default: stdout)
.TP
\fB\-r\fR, \fB\-\-unmatedReads\fR <path>
The location of single\-end reads
.TP
\fB\-2\fR, \fB\-\-rightMates\fR <path>
The location of the right paired\-end reads
.TP
\fB\-1\fR, \fB\-\-leftMates\fR <path>
The location of the left paired\-end reads
.TP
\fB\-n\fR, \fB\-\-noOutput\fR
Don't write out any alignments (for speed testing purposes)
.TP
\fB\-i\fR, \fB\-\-index\fR <path>
(required)
The location of the quasiindex
.TP
\fB\-\-\fR, \fB\-\-ignore_rest\fR
Ignores the rest of the labeled arguments following this flag.
.TP
\fB\-\-version\fR
Displays version information and exits.
.TP
\fB\-h\fR,  \fB\-\-help\fR
Displays usage information and exits.
.SH AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.
